Description

| have written my own slot for the extension manager after installation of an extension like this:

ext_localconf.php

/** @var \TYPO3\CMS\Extbase\SignalSlot\Dispatcher $signalSlotDispatcher */

$signalSlotDispatcher =

nalSlot\Dispatcher::class);

$signalSlotDispatcher->connect (
'TYPO3\CMS\Extensionmanager\Utility\InstallUtility"',
'afterExtensionInstall’,
'Vendor\Website\Utility\InstallUtility"',
'addFlashMessageAfterExtensionInstall'

)i

ext:website/Classes/Utility/InstallUtility.php

<?php

namespace Vendor\Website\Utility;
use TYPO3\CMS\Core\Messaging\AbstractMessage;
TYPO3\CMS\Core\Messaging\FlashMessage;
TYPO3\CMS\Core\Messaging\FlashMessageService;
TYPO3\CMS\Core\SingletonInterface;
TYPO3\CMS\Core\Utility\GeneralUtility;

use
use
use
use

/**
* Extension Manager Install Utility
*/
class InstallUtility implements SingletonInterface {

/‘k*
* @var FlashMessageService
*/

protected $flashMessageService;

/**
* @param FlashMessageService $flashMessageService
=/
public function injectFlashMessageService (FlashMessageService

$this->flashMessageService = $flashMessageService;

/**
* (@param S$extensionKey
* @throws \TYPO3\CMS\Core\Exception
=2

$flashMessageService)

public function addFlashMessageAfterExtensionInstall (SextensionKey) {
\TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance (TYPO3\CMS\Extbase\Sig

{




$flashMessageQueue = $this->flashMessageService->getMessageQueueByIdentifier ('extbase.flas
hmessages.tx_extensionmanager_tools_extensionmanagerextensionmanager');

SmessageBody = 'extension installed: '.SextensionKey;
/* @var FlashMessage S$flashMessage */
SflashMessage = GeneralUtility::makelInstance (
FlashMessage::class, S$messageBody, '', AbstractMessage::0K, TRUE

)i
$flashMessageQueue—->enqueue ($flashMessage) ;

| would love to add some HTML in the $messageBody but that gets htmlspechialchared.

Inspired by sgalinski's TypoScript Plugin for PhpStorm it would like so show an message like this:
Thank you for using xxx plugin from xxx

You are using version 1.x now.

You can get the latest information about this release on our website(link).
If you think you found a bug, please report it in our issue tracker (link).

Also don't hesitate to inform us about new feature wishes (link).

| would like to add a screenshot from phpstorm but | can't. Once the message is hidden, you cannot show it anymore even with
down- and upgrade.

Possible solution
Fetch information from TER (sponsor links, documentation link, issue tracker) or make it possible to set it in an extension somehow
maybe in ext_emconf.php

History

#1 - 2015-11-02 15:23 - Mathias Schreiber
- Status changed from New to Needs Feedback

- Assignee set to Mathias Schreiber

We denied markup in FlashMessages on purpose.
The reasoning is that a flashmesage can also be shown from a context different from a webbrowser (think CLI for example).
Thus, markup in a flashmessage must not be used.

#2 - 2015-11-02 21:52 - Benni Mack
- Status changed from Needs Feedback to Rejected
- Assignee deleted (Mathias Schreiber)

Agreed. If necessary, should be implemented manually with a separate hook in the output, and not via flash messages.

#3 - 2015-11-03 16:55 - Simon Schaufelberger

Should | create a new ticket for the hook/signal/... to be implemented?

#4 - 2016-01-07 11:14 - Benni Mack

yes please :)

#5 - 2016-02-22 10:58 - Simon Schaufelberger
- File typoscript plugin.png added

#6 - 2018-02-04 23:20 - Simon Schaufelberger

- Description updated
